[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora EPEL 4 updates-testing report



The following Fedora EPEL 4 Security updates need testing:



The following builds have been pushed to Fedora EPEL 4 updates-testing

    myproxy-5.5-1.el4
    php-php-gettext-1.0.11-4.el4

Details about builds:


================================================================================
 myproxy-5.5-1.el4 (FEDORA-EPEL-2011-4306)
 Manage X.509 Public Key Infrastructure (PKI) security credentials
--------------------------------------------------------------------------------
Update Information:

A bugfix in myproxy-server:

Changes in this release:

* undo escaping of POSIX extended regular expression meta-characters in myproxy-server authorization policies (introduced in v5.1) to enable full use of POSIX ERE capabilities. For literal matching of parentheses and brackets, the characters must again be explicitly escaped (i.e., '\(' and '\)'). Non-POSIX handling of wildcard characters ('*' and '?') is maintained for backward compatibility, so these characters must be escaped if POSIX ERE behavior is desired (http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=7211)
* in MyProxy CA, ensure that any domainComponent or emailAddress components in the certificate subject are type IA5String per RFC 5280 (http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=7201)
* add myproxy-logon --certreq option, to accept an externally generated certificate request rather than generating private key and request internally (http://bugzilla.ncsa.uiuc.edu/show_bug.cgi?id=347)
* in myproxy-server, fix abort when processing INFO response when the user has stored credentials both with and without a credential name; bug was introduced in myproxy-server v4.9 (http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=7209)
* use /var/lib/myproxy as first choice default storage directory, for Filesystem Hierarchy Standard compliance; still fallback to /var/myproxy and $GLOBUS_LOCATION/var/myproxy for alternatives
* fix erroneous error message when no VOMS attributes found (http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=7207)
--------------------------------------------------------------------------------
ChangeLog:

* Sat Oct  1 2011 Steve Traylen <steve traylen cern ch> - 5.5-1
- Update to version 5.5, drop myproxy-globus-7129.patch, pII, pIII,
  fixed upstream.
- No longer hard code /var/lib/myproxy since the default anyway now.
* Thu Sep  1 2011 Steve Traylen <steve traylen cern ch> - 5.4-4
- Add myproxy-globus-7129-PartII.patch patch and 
  myproxy-globus-7129-PartIII.patch patch.
* Wed Aug 31 2011 Steve Traylen <steve traylen cern ch> - 5.4-3
- Add myproxy-globus-7129.patch patch.
* Tue May 31 2011 Steve Traylen <steve traylen cern ch> - 5.4-2
- Rebuild for new voms api.
* Sun Apr 24 2011 Steve Traylen <steve traylen cern ch> - 5.4-1
- Drop myproxy-vomsc-vomsapi.patch since upstream.
- Drop myproxy-test-non-inter.patch since not needed.
- Drop myproxy-double-free-globus-7135.patch since upstream.
- Drop myproxy-test-home2tmp.patch since upstream.
- Update to 5.4
* Tue Mar  1 2011 Steve Traylen <steve traylen cern ch> - 5.3-7
- Add myproxy-test-home2tmp.patch to avoid %script
  writing in home.
* Mon Feb 28 2011 Steve Traylen <steve traylen cern ch> - 5.3-6
- Remove myproxy-test-disables-globus-7135.patch since
  checks now run with a clean CA/grid-security  directory
  and work.
- Add myproxy-double-free-globus-7135.patch to
  remove double free in myproxy-creds.ch. globus bug #7135.
* Sat Feb 26 2011 Steve Traylen <steve traylen cern ch> - 5.3-5
- Globus bug #7135 only applies to myproxy-test in .spec files so 
  patch private copy in RPM rather than eventual deployed
  myproxy-test.
* Thu Feb 24 2011 Steve Traylen <steve traylen cern ch> - 5.3-4
- Remove useless gpt filelists check from %check.
- Add useful check myproxy-test to %check.
* Tue Feb 22 2011 Steve Traylen <steve traylen cern ch> - 5.3-3
- myproxy-vomsc-vomsapi.patch to build against vomsapi rather
  than vomscapi.
- Add _isa rpm macros to build requires on -devel packages.
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
--------------------------------------------------------------------------------


================================================================================
 php-php-gettext-1.0.11-4.el4 (FEDORA-EPEL-2011-4528)
 Gettext emulation in PHP
--------------------------------------------------------------------------------
Update Information:

This library provides PHP functions to read MO files even when gettext is not compiled in or when appropriate locale is not present on the system.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #727000 - Package php-common provides php-gettext, but there is a real php-gettext package
        https://bugzilla.redhat.com/show_bug.cgi?id=727000
  [ 2 ] Bug #739416 - Review Request: php-php-gettext - Gettext emulation in PHP
        https://bugzilla.redhat.com/show_bug.cgi?id=739416
--------------------------------------------------------------------------------



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]